// Project Sword & Gun Copyright © 2021 Kevin Poretti

#pragma once

#include "CoreMinimal.h"
#include "Weapons/SNGRangedWeaponBase.h"
#include "SNGHitscanWeapon.generated.h"

/**
 * 
 */
UCLASS()
class SWORDNGUN_API ASNGHitscanWeapon : public ASNGRangedWeaponBase
{
	GENERATED_BODY()

public:
	ASNGHitscanWeapon();
	
protected:
	UPROPERTY(EditDefaultsOnly, Category="Properties")
	UCurveFloat* DamageFalloffCurve;

	virtual void PlayFireEffect(FVector TraceEnd) override;
	
	virtual void Fire() override;
};
